/** 
 * berkeley db routines for storing and retrieving bluetooth addresses
 * Simon de Bakker <simon@v2.nl>
 */

#ifndef OPD_DBASE_H
#define OPD_DBASE_H

#include <dirent.h>
#include <db.h>

#define DB_NAME		"adminaddrs.bd"
#define DB_ENV_HOME	"/mnt/mmc/db"
#define BT_ADDR_LENGTH	18
#define DBT_SIZE	sizeof(DBT)
#define DBENTRY_SIZE	(sizeof(char) * BT_ADDR_LENGTH)

int db_open();
void db_close();
int db_dev_exists(char * addr);
int db_dev_put(char * addr);
int db_dev_remove(char * addr);

#endif
